### Constructor

# Ide Diagnostic new

#### Declaration

    IdeDiagnostic*
    ide_diagnostic_new (
      IdeDiagnosticSeverity severity,
      const gchar* message,
      IdeLocation* location
    )

#### Description

No description available.

#### Parameters

`severity` | `IdeDiagnosticSeverity`
| No description available.
`message` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`location` | `IdeLocation`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeDiagnostic`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.